/*!
 * All Studio Web Components
 * Copyright (c) Halfcute Internet Pvt Ltd
 */
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-2d604428.js');

/*
 Stencil Client Patch Browser v3.2.0 | MIT Licensed | https://stenciljs.com
 */
const patchBrowser = () => {
    const importMeta = (typeof document === 'undefined' ? new (require('u' + 'rl').URL)('file:' + __filename).href : (document.currentScript && document.currentScript.src || new URL('allstudio.cjs.js', document.baseURI).href));
    const opts = {};
    // TODO(STENCIL-663): Remove code related to deprecated `safari10` field.
    if (importMeta !== '') {
        opts.resourcesUrl = new URL('.', importMeta).href;
        // TODO(STENCIL-661): Remove code related to the dynamic import shim
        // TODO(STENCIL-663): Remove code related to deprecated `safari10` field.
    }
    return index.promiseResolve(opts);
};

patchBrowser().then(options => {
  return index.bootstrapLazy([["as-carousel_8.cjs",[[1,"as-carousel",{"playlistId":[1,"pid"],"channelId":[1025,"cid"],"fsplaylist":[8],"env":[1],"mode":[1],"fullscreen":[4],"pt":[8],"platform":[1032],"ep":[8],"mainElzIndex":[1032,"main-elz-index"],"selectedVid":[1032,"selected-vid"],"tk":[1028],"variant":[1025],"ch":[2],"size":[1],"carouselReady":[32],"carouselPlayerReady":[32],"activeVideoId":[32],"flkCsl":[32],"fullscreenOpen":[32],"playlist":[32],"loading":[32],"forcemute":[32],"cslready":[32],"swiperloaded":[32],"selectIndex":[64],"exitFullScreen":[64]},[[9,"scroll","scrollPage"],[8,"load","onPageLoaded"]]],[1,"as-reels",{"playlistId":[1,"pid"],"channelId":[1025,"cid"],"fsplaylist":[8],"env":[1],"mode":[1],"fullscreen":[4],"platform":[1032],"selectedVid":[1032,"selected-vid"],"tk":[1028],"variant":[1025],"ch":[2],"size":[1],"open":[1028],"startindex":[2],"playlist":[32],"loading":[32],"forcemute":[32],"cslready":[32],"curIndex":[32],"rh":[32],"enter":[64],"exit":[64]},[[9,"resize","windowResize"]]],[1,"as-photo-viewer",{"photoId":[1,"vid"],"fphoto":[8],"channelId":[1,"cid"],"playlistId":[1,"pid"],"env":[1],"showheader":[4],"showheadertitle":[4],"showfooterplay":[4],"showfootertitle":[4],"showproductchip":[4],"showproductcard":[4],"w":[1025],"h":[1025],"sw":[1026],"sh":[1026],"fullscreen":[4],"playclick":[8],"mode":[1],"position":[1],"piphandler":[8],"platform":[8],"widget":[1032],"shopify":[1028],"tk":[4],"placeholder":[4],"productoverlay":[8],"index":[2],"size":[1],"photo":[32],"photoUrl":[32],"hidden":[32],"handlerPipMode":[32],"addedToCart":[32],"addToCartLoading":[32],"loading":[32],"load":[64],"closeoverlay":[64]},[[9,"resize","windowResize"],[9,"beforeunload","pageExit"]]],[1,"as-player",{"videoId":[1,"vid"],"fvideo":[8],"channelId":[1,"cid"],"playlistId":[1,"pid"],"env":[1],"showheader":[4],"showheadertitle":[4],"showfooterplay":[4],"showfootertitle":[4],"showproductchip":[4],"showproductcard":[4],"w":[1025],"h":[1025],"sw":[1026],"sh":[1026],"autoplay":[4],"loop":[4],"fullscreen":[4],"playclick":[8],"mode":[1],"position":[1],"piphandler":[8],"platform":[8],"widget":[1032],"shopify":[1028],"tk":[4],"placeholder":[4],"productoverlay":[8],"forcemute":[1028],"mutehandler":[8],"index":[2],"size":[1],"ch":[2],"preload":[4],"video":[32],"isMute":[32],"isPlaying":[32],"videoUrl":[32],"hiddenControls":[32],"hidden":[32],"handlerPipMode":[32],"addedToCart":[32],"addToCartLoading":[32],"loopCount":[32],"loading":[32],"playerready":[32],"cover":[32],"playsuspend":[32],"load":[64],"closeoverlay":[64],"play":[64],"pause":[64],"muted":[64],"viewFullScreen":[64]},[[9,"resize","windowResize"],[9,"beforeunload","pageExit"],[9,"blur","pageBlur"],[9,"focus","pageFocus"]]],[1,"as-product-card-slider",{"products":[8],"overlay":[8],"channel":[8],"player":[8],"photoviewer":[8],"trackevent":[8]}],[1,"as-product-chip",{"products":[8],"trackevent":[8],"size":[1]}],[1,"as-product-overlay",{"product":[1032],"channel":[1032],"trackevent":[8],"env":[1],"player":[8],"photoviewer":[8],"visible":[32],"selectedOptions":[32],"addedToCart":[32],"addToCartLoading":[32],"selectedVariant":[32],"hasVariants":[32],"optionerrors":[32],"disabledoptions":[32],"sizeGuideVisible":[32],"isVisible":[64],"open":[64],"close":[64],"handleOverlay":[64]},[[9,"resize","windowResize"]]],[1,"as-product-card",{"product":[8],"mode":[8],"overlay":[8],"channel":[8],"trackevent":[8],"player":[8],"photoviewer":[8],"index":[2]}]]],["as-grid.cjs",[[1,"as-grid",{"playlistId":[1,"pid"],"fsplaylist":[8],"env":[1],"fullscreen":[4],"variant":[1025],"tk":[1028],"channelId":[1025,"cid"],"activeVideoId":[32],"fullscreenOpen":[32],"playlist":[32],"loading":[32]},[[9,"scroll","scrollPage"]]]]],["as-video-banner.cjs",[[1,"as-video-banner",{"videoId":[1,"vid"],"fvideo":[8],"channelId":[1,"cid"],"env":[1],"w":[1025],"h":[1025],"poster":[1],"ar":[2],"video":[32],"hiddenControls":[32],"loopCount":[32],"bannerPlayerReady":[32],"bannerPlayerFinalReady":[32],"ssh":[32],"playerready":[32],"play":[64]},[[9,"resize","windowResize"],[8,"beforeunload","pageExit"],[8,"blur","pageBlur"],[8,"focus","pageFocus"]]]]]], options);
});

exports.setNonce = index.setNonce;

//# sourceMappingURL=allstudio.cjs.js.map