export declare class AsPhotoViewer {
  el: HTMLElement;
  photoId: string;
  fphoto?: any;
  channelId?: string;
  playlistId?: string;
  env?: string;
  showheader?: boolean;
  showheadertitle?: boolean;
  showfooterplay?: boolean;
  showfootertitle?: boolean;
  showproductchip?: boolean;
  showproductcard?: boolean;
  w?: string;
  h?: string;
  sw?: number;
  sh?: number;
  fullscreen?: boolean;
  playclick?: any;
  mode?: string;
  position?: string;
  piphandler?: any;
  platform?: any;
  widget?: any;
  shopify?: boolean;
  tk: boolean;
  placeholder?: boolean;
  productoverlay?: any;
  index?: number;
  size?: string;
  photo: any;
  photoUrl: string;
  hidden: boolean;
  handlerPipMode?: boolean;
  addedToCart?: boolean;
  addToCartLoading: boolean;
  loading: boolean;
  private enterPipClick;
  private closePipClick;
  private backdropClick;
  private shopifyProduct;
  private shopifyVariantId;
  private shopifyQty;
  private playControlClick;
  private observer;
  private imgloaded;
  windowResize(): Promise<void>;
  pageExit(): Promise<void>;
  load(): Promise<void>;
  closeoverlay(): Promise<void>;
  componentWillLoad(): void;
  componentDidLoad(): Promise<boolean>;
  render(): any;
  getApiUrl(env?: string): string;
  getPhotoUrl(vid: any): string;
  resetHeight(vidEl: any, s: any): void;
  setPlayerHeight(vidEl: any, s: any): void;
  enablePip(): void;
  pipFullScreen(vidEl: any, s: any): void;
  getCtaAttributes(s: any): {
    cta_type: any;
    cta_title: any;
    products_count: number;
  } | {
    cta_type?: undefined;
    cta_title?: undefined;
    products_count?: undefined;
  };
  addShopifyItem(): Promise<any>;
  onShopifyProductPage(): Promise<any>;
  getViewerCategory(): any;
  widgetPlayClick(s: any): void;
  setJitsu(s: any): void;
  onIntersection(entries: any): Promise<void>;
  loadImg(): Promise<void>;
  trackEvent(name: any, data: any, s?: any): void;
}
