export declare class AsPlayer {
  el: HTMLElement;
  videoId: string;
  fvideo?: any;
  channelId?: string;
  playlistId?: string;
  env?: string;
  showheader?: boolean;
  showheadertitle?: boolean;
  showfooterplay?: boolean;
  showfootertitle?: boolean;
  showproductchip?: boolean;
  showproductcard?: boolean;
  w?: string;
  h?: string;
  sw?: number;
  sh?: number;
  autoplay?: boolean;
  loop?: boolean;
  fullscreen?: boolean;
  playclick?: any;
  mode?: string;
  position?: string;
  piphandler?: any;
  platform?: any;
  widget?: any;
  shopify?: boolean;
  tk: boolean;
  placeholder?: boolean;
  productoverlay?: any;
  forcemute?: boolean;
  mutehandler?: any;
  index?: number;
  size?: string;
  ch?: number;
  preload?: boolean;
  video: any;
  isMute: boolean;
  isPlaying: boolean;
  videoUrl: string;
  hiddenControls: boolean;
  hidden: boolean;
  handlerPipMode?: boolean;
  addedToCart?: boolean;
  addToCartLoading: boolean;
  loopCount: number;
  loading: boolean;
  playerready: boolean;
  cover: boolean;
  playsuspend: boolean;
  private player;
  private enterPipClick;
  private closePipClick;
  private backdropClick;
  private shopifyProduct;
  private shopifyVariantId;
  private shopifyQty;
  private playingTime;
  private startTime;
  private playControlClick;
  private openFullScreen;
  private closeFullScreen;
  private plyrloaded;
  private pload;
  load(): Promise<void>;
  closeoverlay(): Promise<void>;
  play(): Promise<void>;
  pause(): Promise<void>;
  muted(t: any): Promise<void>;
  viewFullScreen(): Promise<void>;
  windowResize(): Promise<void>;
  pageExit(): Promise<boolean>;
  pageBlur(): Promise<void>;
  pageFocus(): Promise<void>;
  watchStateHandler(newValue: boolean): void;
  componentWillLoad(): void;
  componentDidLoad(): Promise<boolean>;
  render(): any;
  setupObserver(): void;
  getApiUrl(env?: string): string;
  getVideoUrl(vid: any): string;
  resetHeight(vidEl: any, s: any): void;
  setPlayerHeight(vidEl: any, s: any): void;
  hideElement(cl: string, s?: this): void;
  showElement(cl: string, s?: this): void;
  enablePip(): void;
  pipFullScreen(vidEl: any, s: any): void;
  getCtaAttributes(s: any): {
    cta_type: any;
    cta_title: any;
    products_count: number;
    loop_count: number;
    playingTime: any;
    platform: any;
    duration: any;
  } | {
    loop_count: number;
    playingTime: any;
    platform: any;
    duration: any;
    cta_type?: undefined;
    cta_title?: undefined;
    products_count?: undefined;
  };
  openCart(): void;
  addShopifyItem(): Promise<any>;
  onShopifyProductPage(): Promise<any>;
  getPlayerCategory(): any;
  autoPause(): boolean;
  widgetPlayClick(s: any): void;
  setVideo(finalvideo: any): boolean;
  setupPlyr(): void;
  private onPlaySuspend;
  private onPlaybackStarted;
  private onPlaybackReady;
  private onVmReady;
  private onVmLoadStart;
  private onPlayingChange;
  private onMutedChange;
  private onCurrentTimeChange;
  setJitsu(s: any): void;
  trackEvent(name: any, data: any, s?: any): void;
}
