/*!
 * All Studio Web Components
 * Copyright (c) Halfcute Internet Pvt Ltd
 */
import { Host, h } from '@stencil/core';
export class AsProductChip {
  constructor() {
    this.products = undefined;
    this.trackevent = null;
    this.size = 'default';
  }
  render() {
    if (this.products && this.products.length > 0) {
      return (h(Host, null, h("div", { class: {
          chip: true,
          sizemini: (this.size === 'mini')
        }, onClick: () => { var _a, _b, _c, _d; this.trackevent('product_chip_click', { productid: (_d = (_c = (_b = (_a = this.products[0]) === null || _a === void 0 ? void 0 : _a.platformId) === null || _b === void 0 ? void 0 : _b.split("/")) === null || _c === void 0 ? void 0 : _c.reverse()) === null || _d === void 0 ? void 0 : _d[0] }); } }, h("img", { src: this.products[0].platformProduct.featuredImage.url, alt: "Product", width: "96", height: "96" }), h("span", { class: "icon" }, h("i", { class: "gg-shopping-bag" })), this.products.length > 1 ? `View Products` : 'View Product')));
    }
    else {
      return (h(Host, null));
    }
  }
  static get is() { return "as-product-chip"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() {
    return {
      "$": ["as-product-chip.css"]
    };
  }
  static get styleUrls() {
    return {
      "$": ["as-product-chip.css"]
    };
  }
  static get properties() {
    return {
      "products": {
        "type": "any",
        "mutable": false,
        "complexType": {
          "original": "any",
          "resolved": "any",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "products",
        "reflect": false
      },
      "trackevent": {
        "type": "any",
        "mutable": false,
        "complexType": {
          "original": "any",
          "resolved": "any",
          "references": {}
        },
        "required": false,
        "optional": true,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "trackevent",
        "reflect": false,
        "defaultValue": "null"
      },
      "size": {
        "type": "string",
        "mutable": false,
        "complexType": {
          "original": "string",
          "resolved": "string",
          "references": {}
        },
        "required": false,
        "optional": true,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "size",
        "reflect": false,
        "defaultValue": "'default'"
      }
    };
  }
}
//# sourceMappingURL=as-product-chip.js.map
