/*!
 * All Studio Web Components
 * Copyright (c) Halfcute Internet Pvt Ltd
 */
import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';
import { j as jitsuClient } from './jitsu.es.js';
import { d as defineCustomElement$8 } from './as-photo-viewer2.js';
import { d as defineCustomElement$7 } from './as-player2.js';
import { d as defineCustomElement$6 } from './as-product-card2.js';
import { d as defineCustomElement$5 } from './as-product-card-slider2.js';
import { d as defineCustomElement$4 } from './as-product-chip2.js';
import { d as defineCustomElement$3 } from './as-product-overlay2.js';
import { d as defineCustomElement$2 } from './as-reels2.js';

const asGridCss = ".pure-g{display:-ms-flexbox;display:flex;-ms-flex-flow:row wrap;flex-flow:row wrap;-ms-flex-line-pack:start;align-content:flex-start}.pure-u{display:inline-block;vertical-align:top}.pure-u-1,.pure-u-1-1,.pure-u-1-12,.pure-u-1-2,.pure-u-1-24,.pure-u-1-3,.pure-u-1-4,.pure-u-1-5,.pure-u-1-6,.pure-u-1-8,.pure-u-10-24,.pure-u-11-12,.pure-u-11-24,.pure-u-12-24,.pure-u-13-24,.pure-u-14-24,.pure-u-15-24,.pure-u-16-24,.pure-u-17-24,.pure-u-18-24,.pure-u-19-24,.pure-u-2-24,.pure-u-2-3,.pure-u-2-5,.pure-u-20-24,.pure-u-21-24,.pure-u-22-24,.pure-u-23-24,.pure-u-24-24,.pure-u-3-24,.pure-u-3-4,.pure-u-3-5,.pure-u-3-8,.pure-u-4-24,.pure-u-4-5,.pure-u-5-12,.pure-u-5-24,.pure-u-5-5,.pure-u-5-6,.pure-u-5-8,.pure-u-6-24,.pure-u-7-12,.pure-u-7-24,.pure-u-7-8,.pure-u-8-24,.pure-u-9-24{display:inline-block;letter-spacing:normal;word-spacing:normal;vertical-align:top;text-rendering:auto}.pure-u-1-24{width:4.1667%}.pure-u-1-12,.pure-u-2-24{width:8.3333%}.pure-u-1-8,.pure-u-3-24{width:12.5%}.pure-u-1-6,.pure-u-4-24{width:16.6667%}.pure-u-1-5{width:20%}.pure-u-5-24{width:20.8333%}.pure-u-1-4,.pure-u-6-24{width:25%}.pure-u-7-24{width:29.1667%}.pure-u-1-3,.pure-u-8-24{width:33.3333%}.pure-u-3-8,.pure-u-9-24{width:37.5%}.pure-u-2-5{width:40%}.pure-u-10-24,.pure-u-5-12{width:41.6667%}.pure-u-11-24{width:45.8333%}.pure-u-1-2,.pure-u-12-24{width:50%}.pure-u-13-24{width:54.1667%}.pure-u-14-24,.pure-u-7-12{width:58.3333%}.pure-u-3-5{width:60%}.pure-u-15-24,.pure-u-5-8{width:62.5%}.pure-u-16-24,.pure-u-2-3{width:66.6667%}.pure-u-17-24{width:70.8333%}.pure-u-18-24,.pure-u-3-4{width:75%}.pure-u-19-24{width:79.1667%}.pure-u-4-5{width:80%}.pure-u-20-24,.pure-u-5-6{width:83.3333%}.pure-u-21-24,.pure-u-7-8{width:87.5%}.pure-u-11-12,.pure-u-22-24{width:91.6667%}.pure-u-23-24{width:95.8333%}.pure-u-1,.pure-u-1-1,.pure-u-24-24,.pure-u-5-5{width:100%}@media screen and (min-width:35.5em){.pure-u-sm-1,.pure-u-sm-1-1,.pure-u-sm-1-12,.pure-u-sm-1-2,.pure-u-sm-1-24,.pure-u-sm-1-3,.pure-u-sm-1-4,.pure-u-sm-1-5,.pure-u-sm-1-6,.pure-u-sm-1-8,.pure-u-sm-10-24,.pure-u-sm-11-12,.pure-u-sm-11-24,.pure-u-sm-12-24,.pure-u-sm-13-24,.pure-u-sm-14-24,.pure-u-sm-15-24,.pure-u-sm-16-24,.pure-u-sm-17-24,.pure-u-sm-18-24,.pure-u-sm-19-24,.pure-u-sm-2-24,.pure-u-sm-2-3,.pure-u-sm-2-5,.pure-u-sm-20-24,.pure-u-sm-21-24,.pure-u-sm-22-24,.pure-u-sm-23-24,.pure-u-sm-24-24,.pure-u-sm-3-24,.pure-u-sm-3-4,.pure-u-sm-3-5,.pure-u-sm-3-8,.pure-u-sm-4-24,.pure-u-sm-4-5,.pure-u-sm-5-12,.pure-u-sm-5-24,.pure-u-sm-5-5,.pure-u-sm-5-6,.pure-u-sm-5-8,.pure-u-sm-6-24,.pure-u-sm-7-12,.pure-u-sm-7-24,.pure-u-sm-7-8,.pure-u-sm-8-24,.pure-u-sm-9-24{display:inline-block;letter-spacing:normal;word-spacing:normal;vertical-align:top;text-rendering:auto}.pure-u-sm-1-24{width:4.1667%}.pure-u-sm-1-12,.pure-u-sm-2-24{width:8.3333%}.pure-u-sm-1-8,.pure-u-sm-3-24{width:12.5%}.pure-u-sm-1-6,.pure-u-sm-4-24{width:16.6667%}.pure-u-sm-1-5{width:20%}.pure-u-sm-5-24{width:20.8333%}.pure-u-sm-1-4,.pure-u-sm-6-24{width:25%}.pure-u-sm-7-24{width:29.1667%}.pure-u-sm-1-3,.pure-u-sm-8-24{width:33.3333%}.pure-u-sm-3-8,.pure-u-sm-9-24{width:37.5%}.pure-u-sm-2-5{width:40%}.pure-u-sm-10-24,.pure-u-sm-5-12{width:41.6667%}.pure-u-sm-11-24{width:45.8333%}.pure-u-sm-1-2,.pure-u-sm-12-24{width:50%}.pure-u-sm-13-24{width:54.1667%}.pure-u-sm-14-24,.pure-u-sm-7-12{width:58.3333%}.pure-u-sm-3-5{width:60%}.pure-u-sm-15-24,.pure-u-sm-5-8{width:62.5%}.pure-u-sm-16-24,.pure-u-sm-2-3{width:66.6667%}.pure-u-sm-17-24{width:70.8333%}.pure-u-sm-18-24,.pure-u-sm-3-4{width:75%}.pure-u-sm-19-24{width:79.1667%}.pure-u-sm-4-5{width:80%}.pure-u-sm-20-24,.pure-u-sm-5-6{width:83.3333%}.pure-u-sm-21-24,.pure-u-sm-7-8{width:87.5%}.pure-u-sm-11-12,.pure-u-sm-22-24{width:91.6667%}.pure-u-sm-23-24{width:95.8333%}.pure-u-sm-1,.pure-u-sm-1-1,.pure-u-sm-24-24,.pure-u-sm-5-5{width:100%}}@media screen and (min-width:48em){.pure-u-md-1,.pure-u-md-1-1,.pure-u-md-1-12,.pure-u-md-1-2,.pure-u-md-1-24,.pure-u-md-1-3,.pure-u-md-1-4,.pure-u-md-1-5,.pure-u-md-1-6,.pure-u-md-1-8,.pure-u-md-10-24,.pure-u-md-11-12,.pure-u-md-11-24,.pure-u-md-12-24,.pure-u-md-13-24,.pure-u-md-14-24,.pure-u-md-15-24,.pure-u-md-16-24,.pure-u-md-17-24,.pure-u-md-18-24,.pure-u-md-19-24,.pure-u-md-2-24,.pure-u-md-2-3,.pure-u-md-2-5,.pure-u-md-20-24,.pure-u-md-21-24,.pure-u-md-22-24,.pure-u-md-23-24,.pure-u-md-24-24,.pure-u-md-3-24,.pure-u-md-3-4,.pure-u-md-3-5,.pure-u-md-3-8,.pure-u-md-4-24,.pure-u-md-4-5,.pure-u-md-5-12,.pure-u-md-5-24,.pure-u-md-5-5,.pure-u-md-5-6,.pure-u-md-5-8,.pure-u-md-6-24,.pure-u-md-7-12,.pure-u-md-7-24,.pure-u-md-7-8,.pure-u-md-8-24,.pure-u-md-9-24{display:inline-block;letter-spacing:normal;word-spacing:normal;vertical-align:top;text-rendering:auto}.pure-u-md-1-24{width:4.1667%}.pure-u-md-1-12,.pure-u-md-2-24{width:8.3333%}.pure-u-md-1-8,.pure-u-md-3-24{width:12.5%}.pure-u-md-1-6,.pure-u-md-4-24{width:16.6667%}.pure-u-md-1-5{width:20%}.pure-u-md-5-24{width:20.8333%}.pure-u-md-1-4,.pure-u-md-6-24{width:25%}.pure-u-md-7-24{width:29.1667%}.pure-u-md-1-3,.pure-u-md-8-24{width:33.3333%}.pure-u-md-3-8,.pure-u-md-9-24{width:37.5%}.pure-u-md-2-5{width:40%}.pure-u-md-10-24,.pure-u-md-5-12{width:41.6667%}.pure-u-md-11-24{width:45.8333%}.pure-u-md-1-2,.pure-u-md-12-24{width:50%}.pure-u-md-13-24{width:54.1667%}.pure-u-md-14-24,.pure-u-md-7-12{width:58.3333%}.pure-u-md-3-5{width:60%}.pure-u-md-15-24,.pure-u-md-5-8{width:62.5%}.pure-u-md-16-24,.pure-u-md-2-3{width:66.6667%}.pure-u-md-17-24{width:70.8333%}.pure-u-md-18-24,.pure-u-md-3-4{width:75%}.pure-u-md-19-24{width:79.1667%}.pure-u-md-4-5{width:80%}.pure-u-md-20-24,.pure-u-md-5-6{width:83.3333%}.pure-u-md-21-24,.pure-u-md-7-8{width:87.5%}.pure-u-md-11-12,.pure-u-md-22-24{width:91.6667%}.pure-u-md-23-24{width:95.8333%}.pure-u-md-1,.pure-u-md-1-1,.pure-u-md-24-24,.pure-u-md-5-5{width:100%}}@media screen and (min-width:64em){.pure-u-lg-1,.pure-u-lg-1-1,.pure-u-lg-1-12,.pure-u-lg-1-2,.pure-u-lg-1-24,.pure-u-lg-1-3,.pure-u-lg-1-4,.pure-u-lg-1-5,.pure-u-lg-1-6,.pure-u-lg-1-8,.pure-u-lg-10-24,.pure-u-lg-11-12,.pure-u-lg-11-24,.pure-u-lg-12-24,.pure-u-lg-13-24,.pure-u-lg-14-24,.pure-u-lg-15-24,.pure-u-lg-16-24,.pure-u-lg-17-24,.pure-u-lg-18-24,.pure-u-lg-19-24,.pure-u-lg-2-24,.pure-u-lg-2-3,.pure-u-lg-2-5,.pure-u-lg-20-24,.pure-u-lg-21-24,.pure-u-lg-22-24,.pure-u-lg-23-24,.pure-u-lg-24-24,.pure-u-lg-3-24,.pure-u-lg-3-4,.pure-u-lg-3-5,.pure-u-lg-3-8,.pure-u-lg-4-24,.pure-u-lg-4-5,.pure-u-lg-5-12,.pure-u-lg-5-24,.pure-u-lg-5-5,.pure-u-lg-5-6,.pure-u-lg-5-8,.pure-u-lg-6-24,.pure-u-lg-7-12,.pure-u-lg-7-24,.pure-u-lg-7-8,.pure-u-lg-8-24,.pure-u-lg-9-24{display:inline-block;letter-spacing:normal;word-spacing:normal;vertical-align:top;text-rendering:auto}.pure-u-lg-1-24{width:4.1667%}.pure-u-lg-1-12,.pure-u-lg-2-24{width:8.3333%}.pure-u-lg-1-8,.pure-u-lg-3-24{width:12.5%}.pure-u-lg-1-6,.pure-u-lg-4-24{width:16.6667%}.pure-u-lg-1-5{width:20%}.pure-u-lg-5-24{width:20.8333%}.pure-u-lg-1-4,.pure-u-lg-6-24{width:25%}.pure-u-lg-7-24{width:29.1667%}.pure-u-lg-1-3,.pure-u-lg-8-24{width:33.3333%}.pure-u-lg-3-8,.pure-u-lg-9-24{width:37.5%}.pure-u-lg-2-5{width:40%}.pure-u-lg-10-24,.pure-u-lg-5-12{width:41.6667%}.pure-u-lg-11-24{width:45.8333%}.pure-u-lg-1-2,.pure-u-lg-12-24{width:50%}.pure-u-lg-13-24{width:54.1667%}.pure-u-lg-14-24,.pure-u-lg-7-12{width:58.3333%}.pure-u-lg-3-5{width:60%}.pure-u-lg-15-24,.pure-u-lg-5-8{width:62.5%}.pure-u-lg-16-24,.pure-u-lg-2-3{width:66.6667%}.pure-u-lg-17-24{width:70.8333%}.pure-u-lg-18-24,.pure-u-lg-3-4{width:75%}.pure-u-lg-19-24{width:79.1667%}.pure-u-lg-4-5{width:80%}.pure-u-lg-20-24,.pure-u-lg-5-6{width:83.3333%}.pure-u-lg-21-24,.pure-u-lg-7-8{width:87.5%}.pure-u-lg-11-12,.pure-u-lg-22-24{width:91.6667%}.pure-u-lg-23-24{width:95.8333%}.pure-u-lg-1,.pure-u-lg-1-1,.pure-u-lg-24-24,.pure-u-lg-5-5{width:100%}}@media screen and (min-width:80em){.pure-u-xl-1,.pure-u-xl-1-1,.pure-u-xl-1-12,.pure-u-xl-1-2,.pure-u-xl-1-24,.pure-u-xl-1-3,.pure-u-xl-1-4,.pure-u-xl-1-5,.pure-u-xl-1-6,.pure-u-xl-1-8,.pure-u-xl-10-24,.pure-u-xl-11-12,.pure-u-xl-11-24,.pure-u-xl-12-24,.pure-u-xl-13-24,.pure-u-xl-14-24,.pure-u-xl-15-24,.pure-u-xl-16-24,.pure-u-xl-17-24,.pure-u-xl-18-24,.pure-u-xl-19-24,.pure-u-xl-2-24,.pure-u-xl-2-3,.pure-u-xl-2-5,.pure-u-xl-20-24,.pure-u-xl-21-24,.pure-u-xl-22-24,.pure-u-xl-23-24,.pure-u-xl-24-24,.pure-u-xl-3-24,.pure-u-xl-3-4,.pure-u-xl-3-5,.pure-u-xl-3-8,.pure-u-xl-4-24,.pure-u-xl-4-5,.pure-u-xl-5-12,.pure-u-xl-5-24,.pure-u-xl-5-5,.pure-u-xl-5-6,.pure-u-xl-5-8,.pure-u-xl-6-24,.pure-u-xl-7-12,.pure-u-xl-7-24,.pure-u-xl-7-8,.pure-u-xl-8-24,.pure-u-xl-9-24{display:inline-block;letter-spacing:normal;word-spacing:normal;vertical-align:top;text-rendering:auto}.pure-u-xl-1-24{width:4.1667%}.pure-u-xl-1-12,.pure-u-xl-2-24{width:8.3333%}.pure-u-xl-1-8,.pure-u-xl-3-24{width:12.5%}.pure-u-xl-1-6,.pure-u-xl-4-24{width:16.6667%}.pure-u-xl-1-5{width:20%}.pure-u-xl-5-24{width:20.8333%}.pure-u-xl-1-4,.pure-u-xl-6-24{width:25%}.pure-u-xl-7-24{width:29.1667%}.pure-u-xl-1-3,.pure-u-xl-8-24{width:33.3333%}.pure-u-xl-3-8,.pure-u-xl-9-24{width:37.5%}.pure-u-xl-2-5{width:40%}.pure-u-xl-10-24,.pure-u-xl-5-12{width:41.6667%}.pure-u-xl-11-24{width:45.8333%}.pure-u-xl-1-2,.pure-u-xl-12-24{width:50%}.pure-u-xl-13-24{width:54.1667%}.pure-u-xl-14-24,.pure-u-xl-7-12{width:58.3333%}.pure-u-xl-3-5{width:60%}.pure-u-xl-15-24,.pure-u-xl-5-8{width:62.5%}.pure-u-xl-16-24,.pure-u-xl-2-3{width:66.6667%}.pure-u-xl-17-24{width:70.8333%}.pure-u-xl-18-24,.pure-u-xl-3-4{width:75%}.pure-u-xl-19-24{width:79.1667%}.pure-u-xl-4-5{width:80%}.pure-u-xl-20-24,.pure-u-xl-5-6{width:83.3333%}.pure-u-xl-21-24,.pure-u-xl-7-8{width:87.5%}.pure-u-xl-11-12,.pure-u-xl-22-24{width:91.6667%}.pure-u-xl-23-24{width:95.8333%}.pure-u-xl-1,.pure-u-xl-1-1,.pure-u-xl-24-24,.pure-u-xl-5-5{width:100%}}@media screen and (min-width:120em){.pure-u-xxl-1,.pure-u-xxl-1-1,.pure-u-xxl-1-12,.pure-u-xxl-1-2,.pure-u-xxl-1-24,.pure-u-xxl-1-3,.pure-u-xxl-1-4,.pure-u-xxl-1-5,.pure-u-xxl-1-6,.pure-u-xxl-1-8,.pure-u-xxl-10-24,.pure-u-xxl-11-12,.pure-u-xxl-11-24,.pure-u-xxl-12-24,.pure-u-xxl-13-24,.pure-u-xxl-14-24,.pure-u-xxl-15-24,.pure-u-xxl-16-24,.pure-u-xxl-17-24,.pure-u-xxl-18-24,.pure-u-xxl-19-24,.pure-u-xxl-2-24,.pure-u-xxl-2-3,.pure-u-xxl-2-5,.pure-u-xxl-20-24,.pure-u-xxl-21-24,.pure-u-xxl-22-24,.pure-u-xxl-23-24,.pure-u-xxl-24-24,.pure-u-xxl-3-24,.pure-u-xxl-3-4,.pure-u-xxl-3-5,.pure-u-xxl-3-8,.pure-u-xxl-4-24,.pure-u-xxl-4-5,.pure-u-xxl-5-12,.pure-u-xxl-5-24,.pure-u-xxl-5-5,.pure-u-xxl-5-6,.pure-u-xxl-5-8,.pure-u-xxl-6-24,.pure-u-xxl-7-12,.pure-u-xxl-7-24,.pure-u-xxl-7-8,.pure-u-xxl-8-24,.pure-u-xxl-9-24{display:inline-block;letter-spacing:normal;word-spacing:normal;vertical-align:top;text-rendering:auto}.pure-u-xxl-1-24{width:4.1667%}.pure-u-xxl-1-12,.pure-u-xxl-2-24{width:8.3333%}.pure-u-xxl-1-8,.pure-u-xxl-3-24{width:12.5%}.pure-u-xxl-1-6,.pure-u-xxl-4-24{width:16.6667%}.pure-u-xxl-1-5{width:20%}.pure-u-xxl-5-24{width:20.8333%}.pure-u-xxl-1-4,.pure-u-xxl-6-24{width:25%}.pure-u-xxl-7-24{width:29.1667%}.pure-u-xxl-1-3,.pure-u-xxl-8-24{width:33.3333%}.pure-u-xxl-3-8,.pure-u-xxl-9-24{width:37.5%}.pure-u-xxl-2-5{width:40%}.pure-u-xxl-10-24,.pure-u-xxl-5-12{width:41.6667%}.pure-u-xxl-11-24{width:45.8333%}.pure-u-xxl-1-2,.pure-u-xxl-12-24{width:50%}.pure-u-xxl-13-24{width:54.1667%}.pure-u-xxl-14-24,.pure-u-xxl-7-12{width:58.3333%}.pure-u-xxl-3-5{width:60%}.pure-u-xxl-15-24,.pure-u-xxl-5-8{width:62.5%}.pure-u-xxl-16-24,.pure-u-xxl-2-3{width:66.6667%}.pure-u-xxl-17-24{width:70.8333%}.pure-u-xxl-18-24,.pure-u-xxl-3-4{width:75%}.pure-u-xxl-19-24{width:79.1667%}.pure-u-xxl-4-5{width:80%}.pure-u-xxl-20-24,.pure-u-xxl-5-6{width:83.3333%}.pure-u-xxl-21-24,.pure-u-xxl-7-8{width:87.5%}.pure-u-xxl-11-12,.pure-u-xxl-22-24{width:91.6667%}.pure-u-xxl-23-24{width:95.8333%}.pure-u-xxl-1,.pure-u-xxl-1-1,.pure-u-xxl-24-24,.pure-u-xxl-5-5{width:100%}}@media screen and (min-width:160em){.pure-u-xxxl-1,.pure-u-xxxl-1-1,.pure-u-xxxl-1-12,.pure-u-xxxl-1-2,.pure-u-xxxl-1-24,.pure-u-xxxl-1-3,.pure-u-xxxl-1-4,.pure-u-xxxl-1-5,.pure-u-xxxl-1-6,.pure-u-xxxl-1-8,.pure-u-xxxl-10-24,.pure-u-xxxl-11-12,.pure-u-xxxl-11-24,.pure-u-xxxl-12-24,.pure-u-xxxl-13-24,.pure-u-xxxl-14-24,.pure-u-xxxl-15-24,.pure-u-xxxl-16-24,.pure-u-xxxl-17-24,.pure-u-xxxl-18-24,.pure-u-xxxl-19-24,.pure-u-xxxl-2-24,.pure-u-xxxl-2-3,.pure-u-xxxl-2-5,.pure-u-xxxl-20-24,.pure-u-xxxl-21-24,.pure-u-xxxl-22-24,.pure-u-xxxl-23-24,.pure-u-xxxl-24-24,.pure-u-xxxl-3-24,.pure-u-xxxl-3-4,.pure-u-xxxl-3-5,.pure-u-xxxl-3-8,.pure-u-xxxl-4-24,.pure-u-xxxl-4-5,.pure-u-xxxl-5-12,.pure-u-xxxl-5-24,.pure-u-xxxl-5-5,.pure-u-xxxl-5-6,.pure-u-xxxl-5-8,.pure-u-xxxl-6-24,.pure-u-xxxl-7-12,.pure-u-xxxl-7-24,.pure-u-xxxl-7-8,.pure-u-xxxl-8-24,.pure-u-xxxl-9-24{display:inline-block;letter-spacing:normal;word-spacing:normal;vertical-align:top;text-rendering:auto}.pure-u-xxxl-1-24{width:4.1667%}.pure-u-xxxl-1-12,.pure-u-xxxl-2-24{width:8.3333%}.pure-u-xxxl-1-8,.pure-u-xxxl-3-24{width:12.5%}.pure-u-xxxl-1-6,.pure-u-xxxl-4-24{width:16.6667%}.pure-u-xxxl-1-5{width:20%}.pure-u-xxxl-5-24{width:20.8333%}.pure-u-xxxl-1-4,.pure-u-xxxl-6-24{width:25%}.pure-u-xxxl-7-24{width:29.1667%}.pure-u-xxxl-1-3,.pure-u-xxxl-8-24{width:33.3333%}.pure-u-xxxl-3-8,.pure-u-xxxl-9-24{width:37.5%}.pure-u-xxxl-2-5{width:40%}.pure-u-xxxl-10-24,.pure-u-xxxl-5-12{width:41.6667%}.pure-u-xxxl-11-24{width:45.8333%}.pure-u-xxxl-1-2,.pure-u-xxxl-12-24{width:50%}.pure-u-xxxl-13-24{width:54.1667%}.pure-u-xxxl-14-24,.pure-u-xxxl-7-12{width:58.3333%}.pure-u-xxxl-3-5{width:60%}.pure-u-xxxl-15-24,.pure-u-xxxl-5-8{width:62.5%}.pure-u-xxxl-16-24,.pure-u-xxxl-2-3{width:66.6667%}.pure-u-xxxl-17-24{width:70.8333%}.pure-u-xxxl-18-24,.pure-u-xxxl-3-4{width:75%}.pure-u-xxxl-19-24{width:79.1667%}.pure-u-xxxl-4-5{width:80%}.pure-u-xxxl-20-24,.pure-u-xxxl-5-6{width:83.3333%}.pure-u-xxxl-21-24,.pure-u-xxxl-7-8{width:87.5%}.pure-u-xxxl-11-12,.pure-u-xxxl-22-24{width:91.6667%}.pure-u-xxxl-23-24{width:95.8333%}.pure-u-xxxl-1,.pure-u-xxxl-1-1,.pure-u-xxxl-24-24,.pure-u-xxxl-5-5{width:100%}}@media screen and (min-width:240em){.pure-u-x4k-1,.pure-u-x4k-1-1,.pure-u-x4k-1-12,.pure-u-x4k-1-2,.pure-u-x4k-1-24,.pure-u-x4k-1-3,.pure-u-x4k-1-4,.pure-u-x4k-1-5,.pure-u-x4k-1-6,.pure-u-x4k-1-8,.pure-u-x4k-10-24,.pure-u-x4k-11-12,.pure-u-x4k-11-24,.pure-u-x4k-12-24,.pure-u-x4k-13-24,.pure-u-x4k-14-24,.pure-u-x4k-15-24,.pure-u-x4k-16-24,.pure-u-x4k-17-24,.pure-u-x4k-18-24,.pure-u-x4k-19-24,.pure-u-x4k-2-24,.pure-u-x4k-2-3,.pure-u-x4k-2-5,.pure-u-x4k-20-24,.pure-u-x4k-21-24,.pure-u-x4k-22-24,.pure-u-x4k-23-24,.pure-u-x4k-24-24,.pure-u-x4k-3-24,.pure-u-x4k-3-4,.pure-u-x4k-3-5,.pure-u-x4k-3-8,.pure-u-x4k-4-24,.pure-u-x4k-4-5,.pure-u-x4k-5-12,.pure-u-x4k-5-24,.pure-u-x4k-5-5,.pure-u-x4k-5-6,.pure-u-x4k-5-8,.pure-u-x4k-6-24,.pure-u-x4k-7-12,.pure-u-x4k-7-24,.pure-u-x4k-7-8,.pure-u-x4k-8-24,.pure-u-x4k-9-24{display:inline-block;letter-spacing:normal;word-spacing:normal;vertical-align:top;text-rendering:auto}.pure-u-x4k-1-24{width:4.1667%}.pure-u-x4k-1-12,.pure-u-x4k-2-24{width:8.3333%}.pure-u-x4k-1-8,.pure-u-x4k-3-24{width:12.5%}.pure-u-x4k-1-6,.pure-u-x4k-4-24{width:16.6667%}.pure-u-x4k-1-5{width:20%}.pure-u-x4k-5-24{width:20.8333%}.pure-u-x4k-1-4,.pure-u-x4k-6-24{width:25%}.pure-u-x4k-7-24{width:29.1667%}.pure-u-x4k-1-3,.pure-u-x4k-8-24{width:33.3333%}.pure-u-x4k-3-8,.pure-u-x4k-9-24{width:37.5%}.pure-u-x4k-2-5{width:40%}.pure-u-x4k-10-24,.pure-u-x4k-5-12{width:41.6667%}.pure-u-x4k-11-24{width:45.8333%}.pure-u-x4k-1-2,.pure-u-x4k-12-24{width:50%}.pure-u-x4k-13-24{width:54.1667%}.pure-u-x4k-14-24,.pure-u-x4k-7-12{width:58.3333%}.pure-u-x4k-3-5{width:60%}.pure-u-x4k-15-24,.pure-u-x4k-5-8{width:62.5%}.pure-u-x4k-16-24,.pure-u-x4k-2-3{width:66.6667%}.pure-u-x4k-17-24{width:70.8333%}.pure-u-x4k-18-24,.pure-u-x4k-3-4{width:75%}.pure-u-x4k-19-24{width:79.1667%}.pure-u-x4k-4-5{width:80%}.pure-u-x4k-20-24,.pure-u-x4k-5-6{width:83.3333%}.pure-u-x4k-21-24,.pure-u-x4k-7-8{width:87.5%}.pure-u-x4k-11-12,.pure-u-x4k-22-24{width:91.6667%}.pure-u-x4k-23-24{width:95.8333%}.pure-u-x4k-1,.pure-u-x4k-1-1,.pure-u-x4k-24-24,.pure-u-x4k-5-5{width:100%}}:host{display:block;padding:1rem 0;line-height:1.4;font-family:sans-serif}.auto-grid{max-width:1440px;margin:0 -4px}.auto-grid .grid-item{padding:8px;-moz-box-sizing:border-box;-webkit-box-sizing:border-box;box-sizing:border-box;border-radius:8px;-webkit-border-radius:8px;-moz-border-radius:8px;overflow:hidden;cursor:pointer}.fullScreenCarousel{visibility:hidden;height:0px;opacity:0}.fullScreenCarousel.isOpen{visibility:inherit;opacity:1}.cards{background:#fff;height:100%;width:100%;overflow:hidden;-webkit-box-shadow:5px 8px 15px -10px rgba(0,0,0,0.25);box-shadow:5px 8px 15px -10px rgba(0,0,0,0.25);position:relative;border-radius:8px;-webkit-border-radius:8px;-moz-border-radius:8px;aspect-ratio:9/16}.cards.fullheight{position:absolute;top:0px;left:0px}.cards img{-o-object-fit:cover;object-fit:cover;width:100%;height:100%}.card_image{width:100%;height:100%}.card_image.loading{width:100%;height:100%}.card_title{padding:8px;font-size:22px;font-weight:700;position:absolute;bottom:0px;left:0px}.card_title.loading{width:50%;height:1rem;margin:1rem;border-radius:3px;position:relative}.card_description{padding:8px;font-size:16px}.card_description.loading{height:3rem;margin:1rem;border-radius:3px}.loading{position:relative;background:#cccccc}.fullscreen .loading{background:#3a3a3a}.loading:after{content:\"\";display:block;position:absolute;top:0;width:100%;height:100%;-webkit-transform:translateX(-100px);transform:translateX(-100px);background:-webkit-gradient(linear, left top, right top, from(transparent), color-stop(rgba(255,255,255,0.2)), to(transparent));background:linear-gradient(90deg, transparent, rgba(255,255,255,0.2), transparent);-webkit-animation:loading 0.8s infinite;animation:loading 0.8s infinite}.fullscreen .loading:after{background:-webkit-gradient(linear, left top, right top, from(#3a3a3a), color-stop(10%, #3f3f3f), color-stop(20%, #4a4a4a), color-stop(30%, #3f3f3f), color-stop(50%, #3a3a3a), to(#3a3a3a));background:linear-gradient(to right, #3a3a3a 0%, #3f3f3f 10%, #4a4a4a 20%, #3f3f3f 30%, #3a3a3a 50%, #3a3a3a 100%)}@-webkit-keyframes loading{100%{-webkit-transform:translateX(100%);transform:translateX(100%)}}@keyframes loading{100%{-webkit-transform:translateX(100%);transform:translateX(100%)}}";

// import posthog from 'posthog-js'
// if (!window.location.host.includes('127.0.0.1') && !window.location.host.includes('localhost')) {
//   posthog.init('phc_PFn3ipf7jR88MXFX73PMM6l7A0G5EeZf0llC0u5FVKv', { api_host: 'https://app.posthog.com', autocapture: false, capture_pageview: false})
// }
// //init
const jitsu = jitsuClient({
  key: "js.ku52f0vferwtf16hunn8p6.s4zhwpli8w7pwz9k0y1kc",
  tracking_host: "https://t.jitsu.com"
});
const AsGrid$1 = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
    this.items = [];
    this.showfootertitle = true;
    this.showProductChip = false;
    this.showProductCard = false;
    this.hoverPlayer = null;
    this.viewport = false;
    this.viewportcount = 0;
    this.playlistId = undefined;
    this.fsplaylist = undefined;
    this.env = '';
    this.fullscreen = false;
    this.variant = "title";
    this.tk = true;
    this.channelId = null;
    this.activeVideoId = null;
    this.fullscreenOpen = false;
    this.playlist = null;
    this.loading = true;
  }
  async scrollPage() {
    // await this.checkVisibleItems(this);
    return Promise.resolve();
  }
  componentWillLoad() {
    if (this.variant !== 'title') {
      this.showfootertitle = false;
    }
    if (this.variant === 'chip') {
      this.showProductChip = true;
    }
    if (this.fsplaylist) {
      this.playlist = this.fsplaylist;
      this.items = this.playlist.itemsdata;
      this.loading = false;
    }
    else {
      for (var i = 0; i < 10; i++) {
        this.items.push({
          title: '',
          url: null,
          loading: true,
        });
      }
    }
  }
  async componentDidLoad() {
    let cheader = {
      "Content-type": "application/json;charset=UTF-8",
    };
    if (this.channelId) {
      cheader["channel_id"] = this.channelId;
    }
    const response = await fetch(`${this.getApiUrl(this.env)}/web/playlists/${this.playlistId}`, {
      method: "GET",
      headers: cheader,
    });
    const data = await response.json();
    this.playlist = data;
    this.items = this.playlist.itemsdata;
    this.loading = false;
    setTimeout(() => this.setupIntersection(), 200);
  }
  render() {
    var _a, _b;
    if (!this.loading) {
      return (h(Host, null, h("div", { class: { gridWrapper: true, fullScreen: this.fullscreen } }, h("div", { id: `as-grid-${this.playlistId}`, class: 'as-grid auto-grid pure-g' }, (_a = this.items) === null || _a === void 0 ? void 0 : _a.map((item, index) => (h("div", { class: "grid-item pure-u-1-2 pure-u-sm-1-2 pure-u-md-1-4 pure-u-lg-1-4", id: `as-grid-playlist-item-${this.playlistId}-${item.type}-${item.typeId}`, key: `as-grid-playlist-item-${this.playlistId}-${item.type}-${item.typeId}` }, item.type === 'video' && h("as-player", { playlistId: this.playlistId, videoId: item.typeId, env: this.env, autoplay: false, fullscreen: this.fullscreen, fvideo: item.data, showheader: this.fullscreen, showfootertitle: this.showfootertitle, showproductchip: this.showProductChip, showproductcard: this.showProductCard, playclick: (() => {
          this.selectGridItem(index);
        }), widget: `grid_player${this.fullscreen ? '_fullscreen' : ''}` }), item.type === 'photo' && h("as-photo-viewer", { playlistId: this.playlistId, photoId: item.typeId, env: this.env, fullscreen: this.fullscreen, fphoto: item.data, showheader: this.fullscreen, showfootertitle: this.showfootertitle, showproductchip: this.showProductChip, showproductcard: this.showProductCard, playclick: (() => {
          this.selectGridItem(index);
        }), widget: `grid_player${this.fullscreen ? '_fullscreen' : ''}` }))))), h("div", { "aria-hidden": 'true' }, h("as-reels", { playlistId: this.playlistId, fullscreen: true, fsplaylist: this.playlist, tk: this.tk, env: this.env })))));
    }
    else {
      return (h(Host, null, h("div", { class: { gridWrapper: true, fullScreen: this.fullscreen } }, h("div", { id: `as-grid-${this.playlistId}-loading`, class: 'as-grid auto-grid pure-g' }, (_b = this.items) === null || _b === void 0 ? void 0 : _b.map((item, index) => (h("div", { class: "grid-item pure-u-1-2 pure-u-sm-1-2 pure-u-md-1-4 pure-u-lg-1-4", id: `as-grid-playlist-item-${this.playlistId}-${item === null || item === void 0 ? void 0 : item.title}-${index}`, key: `as-grid-playlist-item-${this.playlistId}-${item === null || item === void 0 ? void 0 : item.title}--${index}` }, h("div", { class: "cards" }, h("div", { class: "card_image loading" })))))))));
    }
  }
  setupIntersection() {
    const griditems = this.el.shadowRoot.querySelectorAll('.grid-item');
    if (griditems.length > 0 && griditems.length === this.items.length) {
      this.observer = new IntersectionObserver(this.onIntersection, {
        rootMargin: "50px 16px",
        threshold: [0, 0.4, 0.5, 1]
      });
      griditems.forEach((gi) => {
        this.observer.observe(gi);
      });
    }
    else {
      setTimeout(() => this.setupIntersection(), 100);
    }
  }
  async onIntersection(entries) {
    for (const entry of entries) {
      const aplayer = entry.target.querySelector('as-player');
      if (entry.isIntersecting) {
        if (aplayer) {
          if (entry.intersectionRatio >= 0.5) {
            aplayer.play();
          }
          else {
            aplayer.load();
            // const plid = entry.target.getAttribute('id');
            // console.log('pl', aplayer);
            aplayer === null || aplayer === void 0 ? void 0 : aplayer.pause();
          }
        }
        const aviewer = entry.target.querySelector('as-photo-viewer');
        if (aviewer) {
          aviewer.load();
          // if (this.observer) {
          //   this.observer.disconnect();
          // }
        }
      }
      else {
        if (aplayer) {
          aplayer.pause();
        }
      }
    }
  }
  ;
  getApiUrl(env) {
    let apiUrl = `https://apiv2.allstudio.live`;
    if (env === 'dev') {
      apiUrl = `${apiUrl}/dev`;
    }
    else if (env === 'qa') {
      apiUrl = `${apiUrl}/qa`;
    }
    else if (env === 'local') {
      apiUrl = 'http://localhost:4011';
    }
    return apiUrl;
  }
  getVideoUrl(vid) {
    let finalUrl = vid.url;
    try {
      if (vid.isProcessed && vid.processedUrls['576p']) {
        finalUrl = vid.processedUrls['576p'];
      }
    }
    catch (e) {
      finalUrl = vid.url;
    }
    // console.log('finalUrl', finalUrl);
    return finalUrl;
  }
  selectGridItem(index) {
    // const fel: any = this.el.shadowRoot.querySelector('.fullScreenCarousel as-carousel');
    const reels = this.el.shadowRoot.querySelector('as-reels');
    if (reels) {
      // if(this.fullscreenOpen) {
      //   this.el.shadowRoot.querySelector('.fullScreenCarousel').classList.add('isOpen');
      // } else {
      //   this.fullscreenOpen = true;
      // }
      // fel?.selectIndex(index, true);
      reels === null || reels === void 0 ? void 0 : reels.enter(index);
      this.el.shadowRoot.querySelectorAll('.grid-item').forEach((p) => { var _a; return (_a = p === null || p === void 0 ? void 0 : p.querySelector('as-player')) === null || _a === void 0 ? void 0 : _a.pause(); });
    }
    else {
      setTimeout(() => this.selectGridItem(index), 100);
    }
  }
  async addHoverListener(s = this) {
    var _a;
    if (!s.fullscreen && !s.fullscreenOpen) {
      const aplayers = (_a = s.el) === null || _a === void 0 ? void 0 : _a.shadowRoot.querySelectorAll(".as-grid .grid-item");
      if (aplayers.length === s.items.length) {
        aplayers.forEach((item, index) => {
          const p = item.querySelector('as-player');
          if (p && s.items[index].type === 'video') {
            p.addEventListener("mouseover", function () {
              var _a, _b, _c, _d;
              if (((_a = s.hoverPlayer) === null || _a === void 0 ? void 0 : _a.videoId) !== (p === null || p === void 0 ? void 0 : p.videoId) && !((_b = s.hoverPlayer) === null || _b === void 0 ? void 0 : _b.isPlaying)) {
                (_c = s.hoverPlayer) === null || _c === void 0 ? void 0 : _c.pause();
                s.hoverPlayer = p;
                (_d = s.hoverPlayer) === null || _d === void 0 ? void 0 : _d.play();
                // s.trackEvent("play_hover_video", {
                //   index,
                //   type: 'video',
                //   typeid: s.hoverPlayer?.videoId,
                //   videoid: s.hoverPlayer?.videoId,
                //   category: "grid",
                // });
              }
            }, {
              passive: true,
            });
          }
          else if (!p && s.items[index].type === 'video') {
            setTimeout(() => s.addHoverListener(s), 100);
          }
        });
      }
      else {
        setTimeout(() => s.addHoverListener(s), 100);
      }
    }
  }
  isInViewport(el) {
    const rect = el.getBoundingClientRect();
    // console.log(rect);
    return (rect.top >= 0 &&
      rect.left >= 0 &&
      rect.bottom <= (window.innerHeight || document.documentElement.clientHeight) &&
      rect.right <= (window.innerWidth || document.documentElement.clientWidth));
  }
  async checkVisibleItems(s = this, hoverIndex = null) {
    var _a, _b, _c;
    if (!s.fullscreen) {
      const agrid = (_a = s.el) === null || _a === void 0 ? void 0 : _a.shadowRoot.querySelector(".as-grid");
      if (s.isInViewport(agrid)) {
        if (!s.viewport) {
          s.viewport = true;
          s.viewportcount++;
          s.trackEvent('impression', {
            category: 'grid',
            view_count: s.viewportcount,
          });
        }
      }
      else {
        s.viewport = false;
      }
      const aplayers = (_b = s.el) === null || _b === void 0 ? void 0 : _b.shadowRoot.querySelectorAll(".as-grid .grid-item");
      if (aplayers.length === s.items.length) {
        (_c = s.hoverPlayer) === null || _c === void 0 ? void 0 : _c.pause();
        s.hoverPlayer = null;
        aplayers === null || aplayers === void 0 ? void 0 : aplayers.forEach((item, index) => {
          var _a, _b, _c;
          const p = item.querySelector('as-player');
          if (p && s.items[index].type === 'video') {
            if (!s.hoverPlayer && hoverIndex === null && s.isInViewport(p)) {
              (_a = s.hoverPlayer) === null || _a === void 0 ? void 0 : _a.pause();
              s.hoverPlayer = p;
              p === null || p === void 0 ? void 0 : p.play();
            }
            else if (hoverIndex === index) {
              (_b = s.hoverPlayer) === null || _b === void 0 ? void 0 : _b.pause();
              s.hoverPlayer = p;
              p === null || p === void 0 ? void 0 : p.play();
              s.hoverPlayer = p;
            }
            else if (s.hoverPlayer && ((_c = s.hoverPlayer) === null || _c === void 0 ? void 0 : _c.videoId) !== (p === null || p === void 0 ? void 0 : p.videoId)) {
              p === null || p === void 0 ? void 0 : p.pause();
            }
            else if (s.hoverPlayer) {
              if (s.hoverPlayer.videoId === p.videoId) {
                s.hoverPlayer.play();
              }
              else {
                s.hoverPlayer.pause();
              }
            }
          }
        });
      }
    }
  }
  trackEvent(name, data) {
    var _a;
    try {
      if (this.tk || this.tk === undefined) {
        // console.log('tracking event', name, data);
        jitsu.set({
          channelid: this.channelId,
          playlistid: this.playlistId,
          env: this.env === '' ? 'live' : this.env,
          appid: 'allstudio',
          accountid: (_a = this.playlist.channel) === null || _a === void 0 ? void 0 : _a.accountId,
          category: 'grid',
        });
        // posthog.register_once({
        //   channelid : this.channelId,
        //   playlistid: this.playlistId,
        //   env: this.env === '' ? 'live' : this.env,
        //   appid: 'allstudio',
        //   accountid: this.playlist.channel?.accountId,
        //   category: 'grid',
        // });
        try {
          jitsu.track(name, data);
          // posthog.capture(name,data);
        }
        catch (e) {
          // console.log('jitsu tracking error', e);
        }
      }
    }
    catch (e) {
      // console.log('track event', e.message);
    }
  }
  get el() { return this; }
  static get style() { return asGridCss; }
}, [1, "as-grid", {
    "playlistId": [1, "pid"],
    "fsplaylist": [8],
    "env": [1],
    "fullscreen": [4],
    "variant": [1025],
    "tk": [1028],
    "channelId": [1025, "cid"],
    "activeVideoId": [32],
    "fullscreenOpen": [32],
    "playlist": [32],
    "loading": [32]
  }, [[9, "scroll", "scrollPage"]]]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["as-grid", "as-photo-viewer", "as-player", "as-product-card", "as-product-card-slider", "as-product-chip", "as-product-overlay", "as-reels"];
  components.forEach(tagName => { switch (tagName) {
    case "as-grid":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, AsGrid$1);
      }
      break;
    case "as-photo-viewer":
      if (!customElements.get(tagName)) {
        defineCustomElement$8();
      }
      break;
    case "as-player":
      if (!customElements.get(tagName)) {
        defineCustomElement$7();
      }
      break;
    case "as-product-card":
      if (!customElements.get(tagName)) {
        defineCustomElement$6();
      }
      break;
    case "as-product-card-slider":
      if (!customElements.get(tagName)) {
        defineCustomElement$5();
      }
      break;
    case "as-product-chip":
      if (!customElements.get(tagName)) {
        defineCustomElement$4();
      }
      break;
    case "as-product-overlay":
      if (!customElements.get(tagName)) {
        defineCustomElement$3();
      }
      break;
    case "as-reels":
      if (!customElements.get(tagName)) {
        defineCustomElement$2();
      }
      break;
  } });
}

const AsGrid = AsGrid$1;
const defineCustomElement = defineCustomElement$1;

export { AsGrid, defineCustomElement };

//# sourceMappingURL=as-grid.js.map