export declare class AsReels {
  el: HTMLElement;
  playlistId: string;
  channelId?: string;
  fsplaylist?: any;
  env?: string;
  mode?: string;
  fullscreen?: boolean;
  platform?: any;
  selectedVid?: any;
  tk: boolean;
  variant?: string;
  ch?: number;
  size?: string;
  open?: boolean;
  startindex?: number;
  playlist: any;
  loading: boolean;
  forcemute: boolean;
  cslready: boolean;
  curIndex?: number;
  rh?: number;
  private showfootertitle;
  private showProductChip;
  private showProductCard;
  private items;
  private observer;
  private swiper;
  private fullscreenPlayer;
  enter(index?: number): Promise<void>;
  exit(): Promise<void>;
  windowResize(): Promise<void>;
  componentWillLoad(): void;
  componentDidLoad(): Promise<boolean>;
  render(): any;
  getApiUrl(env?: string): string;
  setup(s?: this): void;
  changePlayer(activeIndex: any): void;
  checkSetup(s: any): void;
  openReels(): void;
  closeReels(): void;
  trackEvent(name: any, data: any): void;
}
