export declare class AsVideoBanner {
  el: HTMLElement;
  videoId: string;
  fvideo: any;
  channelId?: string;
  env?: string;
  w?: string;
  h?: string;
  poster?: string;
  ar: number;
  video: any;
  hiddenControls: boolean;
  loopCount: number;
  bannerPlayerReady: boolean;
  bannerPlayerFinalReady: boolean;
  ssh?: number;
  playerready?: boolean;
  private sw?;
  private videoUrl;
  private player;
  private playingTime;
  private finalposter;
  private pload;
  play(): Promise<void>;
  windowResize(): Promise<void>;
  pageExit(): Promise<void>;
  pageBlur(): Promise<void>;
  pageFocus(): Promise<void>;
  componentWillLoad(): void;
  componentDidLoad(): boolean | Promise<boolean | void>;
  render(): any;
  private onVmReady;
  private onPlaybackReady;
  private onPlaybackStarted;
  private onVmLoadStart;
  private onPlayingChange;
  private onCurrentTimeChange;
  getApiUrl(env?: string): string;
  getVideoUrl(vid: any): string;
  resetHeight(vidEl: any, s: any): void;
  setPlayerHeight(vidEl: any, s: any, force?: boolean): void;
  getFinalImgUrl(s3Key: any, wh: any): string;
  getCtaAttributes(s: any): {
    cta_type: any;
    cta_link: any;
  } | {
    cta_type?: undefined;
    cta_link?: undefined;
  };
  videoLoaded(): void;
  setupPlyr(): void;
  getThumbUrl(urls: any, sw: any): any;
  trackEvent(name: any, data: any): void;
}
